const { createConnection, TextDocuments, ProposedFeatures, DiagnosticSeverity } = require('vscode-languageserver/node');

// Create a connection for the server.
const connection = createConnection(ProposedFeatures.all);

// Create a document manager.
const documents = new TextDocuments();

connection.onInitialize(() => {
  return {
    capabilities: {
      textDocumentSync: documents.syncKind,
      completionProvider: {
        resolveProvider: true
      },
      hoverProvider: true
    }
  };
});

connection.onHover((params) => {
    return {
      contents: {
        kind: 'markdown',
        value: 'Hover information for Rust'
      }
    };
  });
  

connection.onCompletion((textDocumentPosition) => {
    return [
      {
        label: 'fn',
        kind: 3,
        detail: 'Function keyword'
      },
      {
        label: 'let',
        kind: 3,
        detail: 'Let keyword'
      }
    ];
  });
  

documents.listen(connection);
connection.listen();
